﻿@charset "utf-8";

/* 
- Name: megamenu.js - style.css
- Version: 1.0
- Latest update: 29.01.2016.
- Author: Mario Loncarek
- Author web site: //marioloncarek.com
*/


/* -----------------------------------------------
Body - not related to megamenu
----------------------------------------------- */

* {
    box-sizing: border-box;
}

a {
    color: #333;
}

.description {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
}


/* -----------------------------------------------
megamenu.js STYLE STARTS HERE
----------------------------------------------- */


/* -----------------------------------------------
Screen style's
----------------------------------------------- */

.menu-container {
    width: 80%;
    margin: 0 auto;
	float: right;
}

.menu-mobile {
    display: none;
    padding: 20px;
}

.menu-mobile:after {
    content: "\f0c9";
    font-family: FontAwesome;
    font-size: 1.7rem;
    padding: 0;
    float: right;
    position: relative;
    top: 50%;
}

.menu-dropdown-icon:before {
    content: "\f067";
    font-family: FontAwesome;
    display: none;
    cursor: pointer;
    float: right;
    padding: 1em;
    background: #fff;
    color: #333;
}

.menu > ul {
    margin: 0 auto;
    width: 100%;
    list-style: none;
    padding: 0;
    position: relative;
    /* IF .menu position=relative -> ul = container width, ELSE ul = 100% width */
    box-sizing: border-box;
}

.menu > ul:before,
.menu > ul:after {
    content: "";
    display: table;
}

.menu > ul:after {
    clear: both;
}

.menu > ul > li {
    float: left;
    padding: 0;
    margin: 0;
}
.menu > ul > li:last-child a::before {
display: none;
}
.menu > ul > li:last-child a img {
height: 25px;
}

.menu > ul > li a {
    text-decoration: none;
    padding: 12px 10px;
    display: block;
}

.menu > ul > li:hover {
    background: #f0f0f0;
}

.menu > ul > li > ul {
    display: none;
    width: 100%;
	background: rgba(240,240,240,.9);
    padding: 20px;
    position: absolute;
    z-index: 99;
    left: 0;
    margin: 0;
    list-style: none;
    box-sizing: border-box;
}

.menu > ul > li > ul:before,
.menu > ul > li > ul:after {
    content: "";
    display: table;
}

.menu > ul > li > ul:after {
    clear: both;
}

.menu > ul > li > ul > li {
    margin: 0;
	padding-left: 20px;
    padding-bottom: 0;
    list-style: none;
    width: 25%;
    background: none;
	text-align: left;
    float: left;
}

.menu > ul > li > ul > li a {
    color: #777;
    padding: .2em 0;
    width: 95%;
    display: block;
    border-bottom: 1px solid #ccc;
}
.menu > ul > li > ul > li a:hover {
	color: #d8a695;
}
.menu > ul > li > ul > li > ul {
    display: block;
    padding: 0;
    margin: 10px 0 0;
    list-style: none;
    box-sizing: border-box;
}

.menu > ul > li > ul > li > ul:before,
.menu > ul > li > ul > li > ul:after {
    content: "";
    display: table;
}

.menu > ul > li > ul > li > ul:after {
    clear: both;
}

.menu > ul > li > ul > li > ul > li {
    float: left;
    width: 100%;
    padding: 10px 0;
    margin: 0;
    font-size: .8em;
}

.menu > ul > li > ul > li > ul > li a {
    border: 0;
}

.menu > ul > li > ul.normal-sub {
    width: 300px;
    left: auto;
    padding: 10px 20px;
}

.menu > ul > li > ul.normal-sub > li {
    width: 100%;
}

.menu > ul > li > ul.normal-sub > li a {
    border: 0;
    padding: 1em 0;
}


/* -----------------------------------------------
Mobile style's
----------------------------------------------- */

@media only screen and (max-width: 959px) {
    .menu-container {
        width: 100%;
		margin-top: -70px;
    }
    .menu-mobile {
        display: block;
        padding: 20px;
    }
    .menu-dropdown-icon:before {
        display: block;
    }
    .menu > ul {
        display: none;
    }
    .menu > ul > li {
        width: 100%;
        float: none;
        display: block;
        background: #f0f0f0;
	    border-bottom: 1px solid #ddd;
    }
    .menu > ul > li a {
        padding: 1em;
        width: 100%;
        display: block;
    }
    .menu > ul > li > ul {
		padding: 0;
        background: #f4f4f4;
        position: relative;
    }
    .menu > ul > li > ul.normal-sub {
        width: 100%;
        top: 0;
    }
    .menu > ul > li > ul > li {
        float: none;
        width: 100%;
        margin-top: 0px;
	    border-bottom: 1px dotted #ddd;
    }
    .menu > ul > li > ul > li:first-child {
        margin: 0;
    }
    .menu > ul > li > ul > li > ul {
        position: relative;
    }
    .menu > ul > li > ul > li > ul > li {
        float: none;
    }
    .menu .show-on-mobile {
        display: block;
    }
.menu > ul > li.mail a:after {
content: "お問い合わせ";
display: inline-block;
margin-left: 10px;
}
.menu > ul > li.instagram a:after {
content: "インスタグラム";
display: inline-block;
margin-left: 10px;
vertical-align: top;
}
}



@media only screen and (max-width: 500px) {
    .menu-mobile {
        padding: 25px 20px;
    }

    .menu > ul {
        margin: 10px auto 0;
    }
}